13 calls to UrlHelper::compressQueryParameter()

AjaxPageStateTest::providerHandle in core/tests/Drupal/Tests/Core/StackMiddleware/AjaxPageStateTest.php
Provides data for testHandle().
AjaxPageStateTest::testDrupalSettingsIsNotLoaded in core/modules/system/tests/src/Functional/Render/AjaxPageStateTest.php
Give ajax_page_state[libraries]=core/drupalSettings to exclude the library.
AjaxPageStateTest::testInvalidLibraryNameDoesNotInjectHtml in core/modules/system/tests/src/Functional/Render/AjaxPageStateTest.php
Tests that an invalid library name does not inject HTML.
AjaxPageStateTest::testMultipleLibrariesAreNotLoaded in core/modules/system/tests/src/Functional/Render/AjaxPageStateTest.php
Tests if multiple libraries can be excluded.
AjaxTest::testDrupalSettingsCachingRegression in core/tests/Drupal/FunctionalJavascriptTests/Ajax/AjaxTest.php
Tests that AJAX loaded libraries are not retained between requests.
AssetControllerTest::testDeliverBadRequests in core/tests/Drupal/KernelTests/Core/Asset/AssetControllerTest.php
Tests that deliver() throws BadRequestHttpException for invalid requests.
AssetOptimizationTest::setInvalidLibrary in core/tests/Drupal/FunctionalTests/Asset/AssetOptimizationTest.php
Replaces the 'include' entry in the given URL with an invalid value.
AssetResolver::getJsAssets in core/lib/Drupal/Core/Asset/AssetResolver.php
CssCollectionOptimizerLazy::optimize in core/lib/Drupal/Core/Asset/CssCollectionOptimizerLazy.php
JsCollectionOptimizerLazy::optimize in core/lib/Drupal/Core/Asset/JsCollectionOptimizerLazy.php
SettingsCommand::render in core/lib/Drupal/Core/Ajax/SettingsCommand.php
Implements Drupal\Core\Ajax\CommandInterface:render().
UrlHelperTest::testCompressUncompress in core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php
Tests that we get the same thing out that we put in.
UrlHelperTest::testUncompressExceededLengthLimit in core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php
Tests decompressing a query parameter with data over the length limit.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.